import "./tasks/index.wdl" as index
import "./tasks/merge.wdl" as merge

workflow {{ project_name }} {
	File snv_gzvcf
	File indel_gzvcf
	String sample
	String cluster_config
	String disk_size

	call index.index as index {
		input:
		snv_gzvcf=snv_gzvcf,
		indel_gzvcf=indel_gzvcf,
		sample=sample,
		disk_size=disk_size,
		cluster_config=cluster_config
	}

	call merge.merge as merge {
		input:
		snv_gzvcf_2=index.snv_gzvcf_2,
		indel_gzvcf_2=index.indel_gzvcf_2,
		snv_gzvcf_index=index.snv_gzvcf_index,
		indel_gzvcf_index=index.indel_gzvcf_index,
		sample=sample,
		disk_size=disk_size,
		cluster_config=cluster_config
	}

}
